Private Endpoint Connections - List

List all private endpoint connections in a container registry.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ContainerRegistry/registries/{registryName}/privateEndpointConnections?api-version=2025-11-01

URI Parameters

Name In Required Type Description
registryName
path True

string

minLength: 5
maxLength: 50
pattern: ^[a-zA-Z0-9]*$

The name of the container registry.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

PrivateEndpointConnectionListResult

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

PrivateEndpointConnectionList

Sample request

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.ContainerRegistry/registries/myRegistry/privateEndpointConnections?api-version=2025-11-01

Sample response

{
  "value": [
    {
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.ContainerRegistry/registries/myRegistry/privateEndpointConnections/myConnection",
      "name": "myConnection",
      "type": "Microsoft.ContainerRegistry/registries/privateEndpointConnections",
      "properties": {
        "provisioningState": "Succeeded",
        "privateEndpoint": {
          "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.Network/privateEndpoints/peexample01"
        },
        "privateLinkServiceConnectionState": {
          "status": "Approved",
          "description": "Auto-Approved",
          "actionsRequired": "None"
        }
      }
    }
  ]
}

Definitions

Name Description
ActionsRequired

A message indicating if changes on the service provider require any updates on the consumer.

ConnectionStatus

The private link service connection status.

createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

PrivateEndpoint

The Private Endpoint resource.

PrivateEndpointConnection

An object that represents a private endpoint connection for a container registry.

PrivateEndpointConnectionListResult

The result of a request to list private endpoint connections for a container registry.

PrivateLinkServiceConnectionState

The state of a private link service connection.

ProvisioningState

The provisioning state of the archive at the time the operation was called.

systemData

Metadata pertaining to creation and last modification of the resource.

ActionsRequired

A message indicating if changes on the service provider require any updates on the consumer.

Value Description
None
Recreate

ConnectionStatus

The private link service connection status.

Value Description
Approved
Pending
Rejected
Disconnected

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

PrivateEndpoint

The Private Endpoint resource.

Name Type Description
id

string

This is private endpoint resource created with Microsoft.Network resource provider.

PrivateEndpointConnection

An object that represents a private endpoint connection for a container registry.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties.privateEndpoint

PrivateEndpoint

The resource of private endpoint.

properties.privateLinkServiceConnectionState

PrivateLinkServiceConnectionState

A collection of information about the state of the connection between service consumer and provider.

properties.provisioningState

ProvisioningState

The provisioning state of private endpoint connection resource.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

PrivateEndpointConnectionListResult

The result of a request to list private endpoint connections for a container registry.

Name Type Description
nextLink

string

The URI that can be used to request the next list of private endpoint connections.

value

PrivateEndpointConnection[]

The list of private endpoint connections. Since this list may be incomplete, the nextLink field should be used to request the next list of private endpoint connections.

PrivateLinkServiceConnectionState

The state of a private link service connection.

Name Type Description
actionsRequired

ActionsRequired

A message indicating if changes on the service provider require any updates on the consumer.

description

string

The description for connection status. For example if connection is rejected it can indicate reason for rejection.

status

ConnectionStatus

The private link service connection status.

ProvisioningState

The provisioning state of the archive at the time the operation was called.

Value Description
Creating
Updating
Deleting
Succeeded
Failed
Canceled

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.